#ifndef HOUSENDATA_HPP
#define HOUSENDATA_HPP

typedef class HouseNEvent* HouseNEventPtr;
typedef class HouseNData*  HouseNDataPtr;

#include <string.hpp>
#include <data.hpp>

class HouseNEvent : public String {
public: // Object Functions
  virtual ObjectPtr destroy()                { return _destroy(); }
  //virtual ObjectPtr new_copy()               { return _new_copy(); }
  //virtual dword     get_hash_key()           { return _get_hash_key(); }
  //virtual bool      equals(ObjectPtr object) { return _equals(object); }
  virtual ObjectPtr fwrite(FILE* fptr)       { return _fwrite(fptr); }
  virtual ObjectPtr print()                  { return _print(); }
public:
  ObjectPtr         _destroy();
  //ObjectPtr         _new_copy();
  //dword             _get_hash_key();
  //bool              _equals(ObjectPtr object);
  ObjectPtr         _fwrite(FILE* fptr);
  ObjectPtr         _print();
public:
  HouseNEventPtr init(char* str);
};

class HouseNData : public Data {
public:
  HouseNDataPtr init();
  HouseNDataPtr destroy();
};

#endif // HOUSENDATA_HPP
