#include "housendata.hpp"

HouseNEventPtr HouseNEvent::init(char* str) {
  String::init(str);
  return this;
}

ObjectPtr HouseNEvent::_destroy() {
  String::destroy();
  return this;
}

ObjectPtr HouseNEvent::_fwrite(FILE* fptr) {
  printf("(house-n-event \"%s\")", get_str());
  return this;
}

ObjectPtr HouseNEvent::_print() {
  return _fwrite(stdout);
}

HouseNDataPtr HouseNData::init() {
  Data::init();
  return this;
}

HouseNDataPtr HouseNData::destroy() {
  Data::destroy();
  return this;
}

