typedef class LifeNetData*          LifeNetDataPtr;
typedef class LifeNetDataException* LifeNetDataExceptionPtr;

#ifndef LIFENETDATA_HPP
#define LIFENETDATA_HPP

#include <exception.hxx>
#include <tdata.hpp>
#include "lifenet.hpp"

class LifeNetDataException : public Exception {};

class LifeNetData : public TData {
public:
  int  scan_slice(LifeNetPtr lifenet, char* text);  // throws exception on parse error
  bool scan_slices(LifeNetPtr lifenet, char* text); // returns false on failure
};

#endif // LIFENETDATA_HPP
