USE omlife;

DROP TABLE IF EXISTS `temporal`;
DROP TABLE IF EXISTS `atemporal`;
DROP TABLE IF EXISTS `props`;

CREATE TABLE `temporal` (
  `orig` int(11) NOT NULL default '0',
  `dest` int(11) NOT NULL default '0',
  `prob` float NOT NULL default '0',
  KEY `origIdx` (`orig`),
  KEY `destIdx` (`dest`)
) TYPE=MyISAM; 

CREATE TABLE `atemporal` (
  `orig` int(11) NOT NULL default '0',
  `dest` int(11) NOT NULL default '0',
  `prob` float NOT NULL default '0',
  KEY `origIdx` (`orig`),
  KEY `destIdx` (`dest`)
) TYPE=MyISAM; 

CREATE TABLE `props` (
  `id` int(11) NOT NULL default '0',
  `text` text NOT NULL,
  `prob` float NOT NULL default '0',
  `textkeys` text NOT NULL,
  KEY `idIdx` (`id`),
  FULLTEXT KEY `textkeysIdx` (`textkeys`)
) TYPE=MyISAM; 

