#!/usr/bin/perl -w

$DIR_PACKAGE     = "/tmp/lifenet-package";
$DIR_TRUNK       = "../../..";
$DIR_BUILD_REL   = "Roboverse/robolib/build";
$DIR_SH_REL      = "Roboverse/sh";
$DIR_RSH_REL     = "Roboverse/robolib/sh";
$DIR_INFRA_REL   = "Roboverse/robolib/infra";
$DIR_OBJECT_REL  = "cpp/object";
$DIR_PROB_REL    = "cpp/prob";
$DIR_LIFENET_REL = "apps/lifenet";
$DIR_BUILD       = $DIR_TRUNK."/".$DIR_BUILD_REL;
$DIR_BUILD2      = $DIR_PACKAGE."/".$DIR_BUILD_REL;
$DIR_SH          = $DIR_TRUNK."/".$DIR_SH_REL;
$DIR_SH2         = $DIR_PACKAGE."/".$DIR_SH_REL;
$DIR_RSH         = $DIR_TRUNK."/".$DIR_RSH_REL;
$DIR_RSH2        = $DIR_PACKAGE."/".$DIR_RSH_REL;
$DIR_INFRA       = $DIR_TRUNK."/".$DIR_INFRA_REL;
$DIR_INFRA2      = $DIR_PACKAGE."/".$DIR_INFRA_REL;
$DIR_OBJECT      = $DIR_TRUNK."/".$DIR_OBJECT_REL;
$DIR_OBJECT2     = $DIR_PACKAGE."/".$DIR_OBJECT_REL;
$DIR_PROB        = $DIR_TRUNK."/".$DIR_PROB_REL;
$DIR_PROB2       = $DIR_PACKAGE."/".$DIR_PROB_REL;
$DIR_LIFENET     = $DIR_TRUNK."/".$DIR_LIFENET_REL;
$DIR_LIFENET2    = $DIR_PACKAGE."/".$DIR_LIFENET_REL;

system("cd ".$DIR_INFRA."; make clean_all");
system("cd ".$DIR_OBJECT."; make clean_all");
system("cd ".$DIR_PROB."; make clean_all");
system("cd ".$DIR_LIFENET."/cpp; make clean_all");

system("mkdir -p ".$DIR_BUILD2);
system("mkdir -p ".$DIR_SH2);
system("mkdir -p ".$DIR_RSH2);
system("mkdir -p ".$DIR_INFRA2);
system("mkdir -p ".$DIR_OBJECT2);
system("mkdir -p ".$DIR_PROB2);
system("mkdir -p ".$DIR_LIFENET2);

system("cp -R ".$DIR_BUILD."/* ".$DIR_BUILD2);
system("cp -R ".$DIR_SH."/* ".$DIR_SH2);
system("cp -R ".$DIR_RSH."/* ".$DIR_RSH2);
system("cp -R ".$DIR_INFRA."/* ".$DIR_INFRA2);
system("cp -R ".$DIR_OBJECT."/* ".$DIR_OBJECT2);
system("cp -R ".$DIR_PROB."/* ".$DIR_PROB2);
system("cp -R ".$DIR_LIFENET."/* ".$DIR_LIFENET2);

system("cd ".$DIR_PACKAGE."/..; tar c lifenet-package | gzip > lifenet-package.tar.gz");
system("scp ".$DIR_PACKAGE."/../lifenet-package.tar.gz think:/var/www/think/analogy");
